WayloAIWaylo Docs
APIReferenceTelephony connections

Get connection

GET
/telephony-connections/{id}

One connection, by id, without any secret.

Access: tenant_member · API key telephony:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Path Parameters

id*string

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
id*string
name*string
status*string
Value in"activating""active""failed"
statusReason*string|null
active*boolean
numberCount*number
createdByUserId*|
Formatuuid
createdByUserName*string|null
updatedByUserId*|
Formatuuid
updatedByUserName*string|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
provider*"twilio"
Value in"twilio"
config*
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/telephony-connections/string' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
{  "id": "string",  "name": "string",  "status": "activating",  "statusReason": "string",  "active": true,  "numberCount": 0,  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByUserName": "string",  "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",  "updatedByUserName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "provider": "twilio",  "config": {    "accountSid": "string",    "apiKeySid": "string",    "trunkSid": "string"  }}